﻿@model List<WebApplication.noticias>
@{
    ViewBag.Title = "Página Principal ";
    
    <style type="text/css">
       .grid{    width:100%; }
    </style>
}
@section featured {
    <section class="featured">
        <div class="content-wrapper">
            <hgroup class="title">
                <h1>@ViewBag.Title.</h1>
                <h2>@ViewBag.Message</h2>
            </hgroup>
            <p>
                To learn more about ASP.NET MVC visit
                <a href="http://asp.net/mvc" title="ASP.NET MVC Website">http://asp.net/mvc</a>.
                The page features <mark>videos, tutorials, and samples</mark> to help you get the most from ASP.NET MVC.
                If you have any questions about ASP.NET MVC visit
                <a href="http://forums.asp.net/1146.aspx/1?MVC" title="ASP.NET MVC Forum">our forums</a>.
            </p>
        </div>
    </section>
}
<section>
    <div id="tabs">
        <ul>
            <li><a href="#tabs-1">Principal</a></li>
            <li><a href="#tabs-2">Noticias Recientes</a></li>
            <li><a href="#tabs-3">Promociones</a></li>
        </ul>
        <div id="tabs-1">
            <h2>Noticias</h2>
            <ol class="round">
                <li>
                    <div>
                        <img src="/Images/beachThumbnail.jpg" />
                    </div>
                    <div>
                        <h5>@Html.ActionLink("Conozca Manuel Antonio", "Index", "Home")</h5>
                        <p>El Parque Nacional Manuel Antonio es una área de conservación natural localizada en la costa pacífica de Costa Rica, en la provincia de Puntarenas, la más extensa del país, con dos de los principales puertos de esta nación centroamericana.</p>
                        <a href="http://go.microsoft.com/fwlink/?LinkId=245151">Learn more…</a>
                    </div>
                </li>

                <li class="two">
                    <div>
                        <img src="/Images/jacoThumbnail.jpg" />
                    </div>
                    <div>
                        <h5>@Html.ActionLink("2x1 en Reservaciones en Jacó", "Index", "Home")</h5>
                        <p>El Parque Nacional Manuel Antonio es una área de conservación natural localizada en la costa pacífica de Costa Rica, en la provincia de Puntarenas, la más extensa del país, con dos de los principales puertos de esta nación centroamericana.</p>
                        <a href="http://go.microsoft.com/fwlink/?LinkId=245153">Learn more…</a>
                    </div>
                    
                </li>

                <li class="three">
                    <h5>Find Web Hosting</h5>
                    You can easily find a web hosting company that offers the right mix of features
                    and price for your applications.
                    <a href="http://go.microsoft.com/fwlink/?LinkId=245157">Learn more…</a>
                </li>
            </ol>
        </div>
        <div id="tabs-2">
            <h2>Lista de Noticias</h2>
            <div style="padding:7px 0;">
                <input type="button" value="Añadir Nueva Noticia" onclick="OpenCreatePopup()" />
            </div>
            <div style="width:100%;">
                @{
                    WebGrid grid = new WebGrid(Model);
                    @grid.GetHtml(
                    tableStyle: "grid",
                    fillEmptyRows: false,
                    headerStyle: "gvHeading",
                    alternatingRowStyle: "gvAlternateRow",
                    rowStyle: "gvRow",
                    footerStyle: "gvFooter",
                    
                    mode: WebGridPagerModes.All,
                    firstText: "<< First",
                    previousText: "< Prev",
                    nextText: "Next >",
                    lastText: "Last >>",
                    columns: new[] {
                        grid.Column("idNoticia",header: "ID"),
                        grid.Column("Titulo",header: "Titulo"),
                        grid.Column("Contenido"),
                        grid.Column("Fecha")
                        }
                    )
                }
            </div>
            <div id="DivToAppendPartialView"></div>
        </div>
        <div id="tabs-3">
            <p>Mauris eleifend est et turpis. Duis id erat. Suspendisse potenti. Aliquam vulputate, pede vel vehicula accumsan, mi neque rutrum erat, eu congue orci lorem eget lorem. Vestibulum non ante. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Fusce sodales. Quisque eu urna vel enim commodo pellentesque. Praesent eu risus hendrerit ligula tempus pretium. Curabitur lorem enim, pretium nec, feugiat nec, luctus a, lacus.</p>
            <p>Duis cursus. Maecenas ligula eros, blandit nec, pharetra at, semper at, magna. Nullam ac lacus. Nulla facilisi. Praesent viverra justo vitae neque. Praesent blandit adipiscing velit. Suspendisse potenti. Donec mattis, pede vel pharetra blandit, magna ligula faucibus eros, id euismod lacus dolor eget odio. Nam scelerisque. Donec non libero sed nulla mattis commodo. Ut sagittis. Donec nisi lectus, feugiat porttitor, tempor ac, tempor vitae, pede. Aenean vehicula velit eu tellus interdum rutrum. Maecenas commodo. Pellentesque nec elit. Fusce in lacus. Vivamus a libero vitae lectus hendrerit hendrerit.</p>
        </div>
    </div>
</section>
<section>
    <div>
        <fieldset>
            <legend>Buscar Habitaciones</legend>

            <div class="editor-label">
                @Html.Label("Prueba")
            </div>
            <div class="editor-field">
                @Html.TextBox("TextBoxPrueba")
            </div>
</fieldset>
    </div>
</section>
@section scripts{
    <link rel="stylesheet" href="/Content/themes/base/jquery.ui.tabs.css">
    <script type="text/javascript" src="/Scripts/jquery-ui-1.8.24.min.js"></script>
    <script>
        $(function () {
            $("#tabs").tabs();
        });
    </script>
<script type="text/javascript">
    function EditNews(pid) {
        var ph = $("#DivToAppendPartialView");
        ph.load("/News/edit?productid=" + pid, function () {
            ph.dialog({
                modal: true,
                width: 500,
                height: 438,
                title: "Edit Product",
                resizable: false
            });
        });
    }

    function DeleteProduct(pid) {
        if (confirm("Do you want to delete product: " + pid)) {
            var data = { 'ProductId': pid }
            $.post('/News/Delete', data,
            function (data) {
                if (data == true)
                    location = location.href;
                else
                    alert("Could not delete");
            });
        }
    }

    function OpenCreatePopup() {
        var div = $("#DivToAppendPartialView");
        div.load("/News/Create", function () {
            div.dialog({
                modal: true,
                width: 500,
                height: 438,
                title: "Añadir Nueva Noticia",
                resizable: false
            });
        });
    }

</script>
}
